Re: автостарт saslauthd
Hello Gift,
Wednesday, April 19, 2006, 9:14:59 PM, you wrote:
>
> как загружать скрипт /etc/init.d/saslauthd.sh автоматически при загрузки
системы?
> /etc/rc?.d/?20saslauthd
> существует, что нужно еще сделать?
> система debian
> saslauthd.sh :
> #!/bin/sh -e
> NAME=saslauthd
> DAEMON="/usr/sbin/${NAME}"
> DESC="SASL Authentication Daemon"
> DEFAULTS=/etc/default/saslauthd
> PWDIR=/var/run/saslauthd
> PIDFILE="/var/run/${NAME}/saslauthd.pid"
> createdir() {
> # $1 = user
> # $2 = group
> # $3 = permissions (octal)
> # $4 = path to directory
> [ -d "$4" ] || mkdir -p "$4"
> chown -c -h "$1:$2" "$4"
> chmod -c "$3" "$4"
> }
> test -f "${DAEMON}" || exit 0
> # Source defaults file; edit that file to configure this script.
> if [ -e "${DEFAULTS}" ]; then
> . "${DEFAULTS}"
> fi
> # If we're not to start the daemon, simply exit
> if [ "${START}" != "yes" ]; then
> exit 0
> fi
> # If we have no mechanisms defined
> if [ "x${MECHANISMS}" = "x" ]; then
> echo "You need to configure ${DEFAULTS} with mechanisms to be used"
> exit 0
> fi
> # Add our mechanimsms with the necessary flag
> PARAMS="${PARAMS} -a ${MECHANISMS}"
> START="--start --quiet --pidfile ${PIDFILE} --startas ${DAEMON} --name ${NAME}
> -- ${PARAMS}"
> # Consider our options
> case "${1}" in
> start)
> echo -n "Starting ${DESC}: "
> dir=`dpkg-statoverride --list $PWDIR`
> test -z "$dir" || createdir $dir
> if start-stop-daemon ${START} >/dev/null 2>&1 ; then
> echo "${NAME}."
> else
> if start-stop-daemon --test ${START} >/dev/null 2>&1; then
> echo "(failed)."
> exit 1
> else
> echo "${DAEMON} already running."
> exit 0
> fi
> fi
> ;;
> stop)
> echo -n "Stopping ${DESC}: "
> if start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" \
> --startas ${DAEMON} --retry 10 --name ${NAME} \
> >/dev/null 2>&1 ; then
> echo "${NAME}."
> else
> if start-stop-daemon --test ${START} >/dev/null 2>&1; then
> echo "(not running)."
> exit 0
> else
> echo "(failed)."
> exit 1
> fi
> fi
> ;;
> restart|force-reload)
> $0 stop
> exec $0 start
> ;;
> *)
> echo "Usage: /etc/init.d/${NAME}
> {start|stop|restart|force-reload}" >&2
> exit 1
> ;;
> esac
> exit 0
>
все
вопрос снят
-*Название листа "Linux: разрешение вопросов, перспективы и общение";
Написать в лист: mailto:comp.soft.linux.discuss-list@subscribe.ru
Адрес правил листа http://subscribe.ru/catalog/comp.soft.linux.discuss/rules
Номер письма: 26013; Возраст листа: 999; Участников: 1534
Адрес сайта рассылки: http://www.linuxrsp.ru
Адрес этого письма в архиве: http://subscribe.ru/archive/comp.soft.linux.discuss/msg/539817